Subject: RE: [ipcdn] Question on docsQosServiceFlowPkts

From: "Ruby, Lisa (SD-EX)" <[email-masked]>
Date: Tue, 20 Feb 2001 21:05:37 -0500

I agree with Andre. The only way the CM has of keeping 
accurate Downstream Flow counters is to Classify Downstream 
packets. There is nothing in the packets that identifies
which Flow they arrived on. This is a lot of overhead to 
ask the CM to incur just for the purpose of keeping counters 
that the CMTS already has. 

Lisa Ruby
Motorola - Broadband Communications Sector
[email-masked]

-----Original Message-----
From: Andre Lejeune [mailto:[email-masked]]
Sent: Tuesday, February 20, 2001 12:22 PM
To: Sukanta Ganguly
Cc: [email-masked]; Michael W. Patrick; [email-masked]
Subject: Re: [ipcdn] Question on docsQosServiceFlowPkts

Sukanta,

The CM is aware of the DS SFs, but unfortunately, when it receives
a DS packet, there is no indication of which SF this packet was transmitted
on. This is what I tried to explain in my original posting.

So I agree that it would be valuable, I just think that it would not be
possible without classifying ds packets, an expensive thing to do just to
get the counters right!

André

Sukanta Ganguly wrote:
> 
> The CMTS will certainly know about the SFID's and hence would make a lot
of
> sense in the CMTS to keep the "docsQosServiceFlowPkts" and
> "docsQosServiceFlowOctets" counters in them on a per flow basis. The CM
also
> has an understanding of the different flows that it is supporting. Hence
it
> may also would like to keep its own counters for the same. The CM also has
> the capabilities of doing upstream QoS. Keeping counters at both ends will
> bring up a major diagnostic feature wherein the packet loss due to cable
> plant loss can be identified. It will be a very valuable tool.
> Do you agree!
> 
> SG
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Andre Lejeune
> Sent: Monday, February 19, 2001 1:40 PM
> To: [email-masked]
> Cc: Michael W. Patrick; [email-masked]
> Subject: [ipcdn] Question on docsQosServiceFlowPkts
> 
> I noticed the following comment in draft-ietf-ipcdn-qos-mib-04.txt
> 
>     docsQosServiceFlowPkts,   -- not sure if CM should implement
>     docsQosServiceFlowOctets,
> 
> For downstream SF, a CM can hardly count packets and octets on a per SFID
> basis since the SFID is not available to the CM unless it performs
optional
> downstream classification.
> 
> I believe the MIB (or, to follow the trend, the OSSI spec) should
> clarify that these counters only apply for upstream SFs on a CM.
> A CMTS can probably implement them in both directions.
> 
> Any thoughts?
> 
> André
> 
> _______________________________________________
> IPCDN mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/ipcdn

_______________________________________________
IPCDN mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/ipcdn

_______________________________________________
IPCDN mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/ipcdn